<?php
/*
 * Bacularis - Bacula web interface
 *
 * Copyright (C) 2021 Marcin Haba
 *
 * The main author of Bacularis is Marcin Haba, with contributors, whose
 * full list can be found in the AUTHORS file.
 *
 * Bacula(R) - The Network Backup Solution
 * Baculum   - Bacula web interface
 *
 * Copyright (C) 2013-2019 Kern Sibbald
 *
 * The main author of Baculum is Marcin Haba.
 * The original author of Bacula is Kern Sibbald, with contributions
 * from many others, a complete list can be found in the file AUTHORS.
 *
 * You may use this file and others of this release according to the
 * license defined in the LICENSE file, which includes the Affero General
 * Public License, v3.0 ("AGPLv3") and some additional permissions and
 * terms pursuant to its AGPLv3 Section 7.
 *
 * This notice must be preserved when any source code is
 * conveyed and/or propagated.
 *
 * Bacula(R) is a registered trademark of Kern Sibbald.
 */

use Bacularis\Web\Modules\BaculumWebPage;

/**
 * Baculum error page.
 *
 * @author Marcin Haba <marcin.haba@bacula.pl>
 * @category Page
 * @package Baculum Web
 */
class BaculumError extends BaculumWebPage {

	public $error;
	public $output;

	/**
	 * Pre-initialization with authenticate.
	 *
	 * NOTE: This method cannot be removed and cannot call parent::onPreInit()
	 * because in parent method are called redundant API requests not used here.
	 */
	public function onPreInit($param) {
		if ($this->authenticate() === false) {
			exit();
		}
	}

	public function onInit($param) {
		parent::onInit($param);
		$this->error = intval($this->Request['error']);
		$this->output = urldecode($this->Request['output']);
	}
}
?>
